Subject: [alpine-devel] Informal package testsuite day: March 2, 2018

From: William Pitcock <[email-masked]>
Date: Tue, 27 Feb 2018 12:19:10 -0600

Hello,

I would like to announce that I am organizing a day where I am
committing testsuites to as many packages as possible.

The main reason why I am announcing this, is because if you're
interested in adding testsuites to packages, I will be available all
day to commit those changes on your behalf, just ping me in
#alpine-devel.

I invite other Alpine developers to join me in that effort of course :)

Please note that I will not accept packages that add a check()
function that just runs `$binary --version`, the reason why is that
most programs are structured like this:

=====
void version(void) {
    printf("foo v1.0\n");
    exit(EXIT_SUCCESS);
}

int main(int argc, const char *argv[]) {
    if (argc < 2 || !strcmp(argv[1], "--version"))
        version();
    [...]
}
=====

Accordingly, a check() function that just runs `$binary --version` is
essentially worthless.  check() functions should either run a
testsuite or actually perform a real computation with the software to
verify the software is functional.

Together, we can get check() functions in all packages, lets see how
many we can do this Friday!

William

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---